Consultar uma versão do catálogo regulatório
curl --request GET \
--url https://api.nlbs.ai/regulatory/versions/{version}import requests
url = "https://api.nlbs.ai/regulatory/versions/{version}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.nlbs.ai/regulatory/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"catalog": {
"documents": [
{
"authority": "<string>",
"code": "<string>",
"status": "active",
"title": "<string>",
"type": "law",
"version": "<string>",
"document_number": "<string>",
"effective_from": "2023-12-25",
"effective_until": "2023-12-25",
"jurisdiction": "<string>",
"official_url": "<string>",
"published_at": "2023-12-25"
}
],
"references": [
{
"code": "<string>",
"document_code": "<string>",
"summary": "<string>",
"title": "<string>",
"version": "<string>",
"application_notes": [
"<string>"
],
"locator": "<string>",
"relevant_context": [
"<string>"
],
"risk_indicators": [
"<string>"
]
}
]
},
"manifest": {
"catalog_hash": "sha256:example",
"document_count": 12,
"published_at": "2026-06-23T00:00:00Z",
"reference_count": 80,
"version": "0.1.0"
}
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Regulação
Consultar uma versão do catálogo regulatório
Retorna o manifesto e o catálogo de uma versão regulatória específica.
GET
/
regulatory
/
versions
/
{version}
Consultar uma versão do catálogo regulatório
Path Parameters
Rótulo da versão do catálogo regulatório.
Example:
"0.1.0"
Response
Successful Response
Payload congelado do catálogo regulatório.
Show child attributes
Show child attributes
Metadados do manifesto do snapshot.
Show child attributes
Show child attributes
Example:
{
"catalog_hash": "sha256:example",
"document_count": 12,
"published_at": "2026-06-23T00:00:00Z",
"reference_count": 80,
"version": "0.1.0"
}

